import QtQuick 2.0

Rectangle {
    anchors.fill: parent
    radius: 6
    anchors.rightMargin: units.gu(1)
    anchors.leftMargin: units.gu(1)
    visible: currentStocksList.count > 0 ? false : true
    color: "#969ca6"
    Image {
        visible: parent.height - units.gu(4) > 32 && parent.width - units.gu(4) > 32 // Turn off if the logo goes below 26 pixels
        anchors.centerIn: parent
        source: "svg/logo-ubuntu_su-black_orange-hex.svg"
        sourceSize.height: visible && parent.height - units.gu(4) // Stop the SVG rasterization if the object is not visible
        sourceSize.width: visible && parent.width - units.gu(4)  // Stop the SVG rasterization if the object is not visible
    }
}
